org.eclipse.net4j.util.ui.views

## Enum ContainerView.MessageType

- java.lang.Object
- - java.lang.Enum<ContainerView.MessageType>
  - - org.eclipse.net4j.util.ui.views.ContainerView.MessageType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ContainerView.MessageType>
  Enclosing class:
    ContainerView

      protected static enum ContainerView.MessageType
      extends java.lang.Enum<ContainerView.MessageType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CONFIRM`
    `ERROR`
    `INFORMATION`
    `QUESTION`
    `WARNING`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ContainerView.MessageType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ContainerView.MessageType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INFORMATION

          public static final ContainerView.MessageType INFORMATION

    - #### ERROR

          public static final ContainerView.MessageType ERROR

    - #### WARNING

          public static final ContainerView.MessageType WARNING

    - #### CONFIRM

          public static final ContainerView.MessageType CONFIRM

    - #### QUESTION

          public static final ContainerView.MessageType QUESTION

  - ### Method Detail

    - #### values

          public static ContainerView.MessageType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ContainerView.MessageType c : ContainerView.MessageType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ContainerView.MessageType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html